#include <stdio.h>

void comb(int a, int b, int *c) {
	*c = 10 * (a / 10 % 10) + 1000 * (a % 10) + b / 10 % 10 + 100 * (b % 10);;
}

int main() {
    int a, b, result;
    scanf("%d %d", &a, &b);

    comb(a, b, &result);
    printf("%d\n", result);

    return 0;
}
